Datamodel / Enumerations
These routes provide access to the IoT Wonderland datamodel. They allow users to retrieve enumerations for available networks, network types, device types, decoders, data types, and icons associated with their account. Users can also query detailed information for specific networks, decoder configurations, and data types using their respective identifiers. These endpoints are primarily used to retrieve metadata required for device configuration, integration, and data processing.
GET /datamodel/network
Returns all networks available within the user’s domain.
- Example response:
{
"errors": [],
"data": [
{
"uid": 2,
"name": "TTN",
"description": "The Things Network V2",
"interface": "REST",
"type_ref": 1
},
{
"uid": 5,
"name": "Lacuna",
"description": "Lacuna Space",
"interface": "REST",
"type_ref": 2
},
{
"uid": 14,
"name": "Sigfox",
"description": "Sigfox",
"interface": null,
"type_ref": 6
}
],
"success": true
}
GET /datamodel/network/type
This route returns all network types associated with the user’s account.
- Example response:
{
"errors": [],
"debug": [],
"meta": [],
"data": [
{
"uid": 1,
"type": "LoRaWAN"
},
{
"uid": 2,
"type": "Satellite"
},
{
"uid": 3,
"type": "Cellular"
},
{
"uid": 4,
"type": "Wonderland App"
},
{
"uid": 5,
"type": "GPRS"
},
{
"uid": 6,
"type": "Sigfox"
},
{
"uid": 7,
"type": "Integrator"
}
],
"success": true
}
GET /datamodel/network/{uid}
Returns the metadata for a specific network identified by its uid.
- Example response:
{
"errors": [],
"debug": [],
"meta": [],
"data": {
"uid": 1,
"lorawan_net_id": null,
"name": "None",
"description": "None",
"interface": "REST",
"type_ref": 0
},
"success": true
}
GET /datamodel/network/by_type/{uid}
Returns all networks associated with the specified network type.
{uid} corresponds to the type_ref value.
- Example response:
{
"errors": [],
"debug": [],
"meta": [],
"data": [
{
"uid": 8,
"name": "BushTech Deer",
"__type": "PHP",
"__reference": "bushtech-deer",
"manufacturer": "Copernicus Technologies",
"manufacturer_ref": 1,
"device_type_ref": 1,
"type_name": "Tracker"
},
{
"uid": 18,
"name": "Lynx Collar",
"__type": "PHP",
"__reference": "fotex",
"manufacturer": "FOTEX",
"manufacturer_ref": 15,
"device_type_ref": 1,
"type_name": "Tracker"
},
{
"uid": 19,
"name": "LoRaMote",
"__type": "PHP",
"__reference": "lora-mote",
"manufacturer": "Semtech",
"manufacturer_ref": 16,
"device_type_ref": 1,
"type_name": "Tracker"
},
{
"uid": 28,
"name": "ARGOS Geo-Location",
"__type": "PHP",
"__reference": "argos",
"manufacturer": "ARGOS",
"manufacturer_ref": 19,
"device_type_ref": 1,
"type_name": "Tracker"
},
{
"uid": 6,
"name": "Valenco",
"__type": "PHP",
"__reference": "valenco",
"manufacturer": "Valenco",
"manufacturer_ref": 2,
"device_type_ref": 3,
"type_name": "Sensor"
},
{
"uid": 16,
"name": "Dragino LLMS01",
"__type": "PHP",
"__reference": "dragino-llms01",
"manufacturer": "Dragino",
"manufacturer_ref": 10,
"device_type_ref": 3,
"type_name": "Sensor"
},
{
"uid": 23,
"name": "ELSYS ELT-2",
"__type": "PHP",
"__reference": "elsys-elt2",
"manufacturer": "ELSYS",
"manufacturer_ref": 18,
"device_type_ref": 3,
"type_name": "Sensor"
}
],
"success": true
}
GET /datamodel/decoder
Returns all decoder types available within the user’s account.
- Example response:
{
"errors": [],
"debug": [],
"meta": [],
"data": [
{
"uid": 6,
"lorawan_net_id": null,
"name": "NBIoT",
"description": "Generic HTTP Traffic",
"interface": "REST_DIRECT",
"type_ref": 3
},
{
"uid": 22,
"lorawan_net_id": null,
"name": "Cat-M1",
"description": "Cat-M1",
"interface": "REST",
"type_ref": 3
},
{
"uid": 24,
"lorawan_net_id": null,
"name": "Cellular",
"description": "Cellular (Generic)",
"interface": "REST",
"type_ref": 3
}
],
"success": true
}
GET /datamodel/decoder/{decoder_id}
Returns decoder details for the specified decoder ID, including the associated device and manufacturer information.
- Example response:
{
"errors": [],
"debug": [],
"meta": [],
"data": {
"device": "Generic",
"manufacturer": "Valenco"
},
"success": true
}
GET /datamodel/data/type/all
Returns all available data types associated with the user’s account.
- Example response:
{
"errors": [],
"data": [
{
"uid": 10,
"label": "Ambient Temperature",
"alias": "Ta",
"unit": "°C"
},
{
"uid": 41,
"label": "Battery Level",
"alias": "bat",
"unit": "%"
},
{
"uid": 60,
"label": "GPS Latitude",
"alias": "LAT",
"unit": "°"
}
],
"success": true
}
GET /datamodel/data/type/{type_id}
Returns the data type details associated with the specified type_id.
- Example response:
{
"errors": [],
"debug": [],
"meta": [],
"data": "{\"uid\":65,\"label\":\"GPS Dilution of Precision\",\"alias\":\"DOP\",\"unit\":\"1\",\"type\":10,\"exponent\":\"E-2\",\"offset\":0}",
"success": true
}
GET /datamodel/icon
Returns the list of icons available in the IoT Wonderlands account.
- Example response:
{
"errors": [],
"debug": [],
"meta": [],
"data": [
{
"uid": 0,
"name": "rabbit",
"label": "Rabbit"
},
{
"uid": 1,
"name": "deer",
"label": "Deer"
},
{
"uid": 2,
"name": "colibri",
"label": "Colibri"
},
{
"uid": 3,
"name": "sheep",
"label": "Sheep"
},
{
"uid": 4,
"name": "cameratrap",
"label": "Camera Trap"
}
],
"success": true
}
GET /datamodel/device/type
Returns the list of device types associated with the account.
- Example response:
{
"errors": [],
"debug": [],
"meta": [],
"data": [
{
"uid": 1,
"type_name": "Tracker"
},
{
"uid": 2,
"type_name": "Camera"
},
{
"uid": 3,
"type_name": "Sensor"
},
{
"uid": 4,
"type_name": "Actuator"
}
],
"success": true
}